#!/bin/sh 
# /bin/sh for alpine-linux
# File to be placed with Executable in execution container to start the Server.

# docroot is special: list subfolders within docroot after the ; 
# This enables static linking there and deployment of your app at /
# otherwise wt will start a new session for subfolders

# Reminder!!!! Remember to forward these links with your reverse proxy as well !!!

# $Project_Name gets set as Environment Variable in Docker Build

exec /home/$Project_Name  --docroot="/home/docroot;/resources,/Hello" \
            --approot /home/approot \
            --http-port 8080 \
            --http-address 0.0.0.0 \
            --config /home/wt_config.xml